PHP-инклюдинг в OWLLib

Дата публикации:
27.11.2006
Всего просмотров:
1583
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
OWLLib 1.x
Уязвимые версии: OWLLib 1.0, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "OWLLIB_ROOT" в сценарии owllib/memory/OWLMemoryProperty.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/[path]/owllib/memory/OWLMemoryProperty.php?OWLLIB_ROOT=[file]

URL производителя: phpowllib.sourceforge.net

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: OWLLib 1.0 (OWLMemoryProperty.php) Remote File Include Vulnerability

или введите имя

CAPTCHA